#include <stdio.h>
#include <string.h>
#include "saelo.h"

void main(void)
{
	char nom[15], prenom[15], fnom[15], fprenom[15], bCard, member, categ, recharge;
	int erreur, numAd, age, state, acti, passeoupas, ptsbought,ptsbonus, numCard, avoiravecevann, testnom, testpnom, found = 0;

	FILE *f;
	f = fopen("donneeClient.don","r");
	if (f==NULL){printf("Erreur ouverture fichier clients"); fclose(f); return;}

	
	printf("Bienvenue ! Déjà membre ou création de compte ? Créer (C) ou Membre (M)\n");
	scanf("%c%*c", &member);
	bCard = Card();
	erreur = Fillvar(f, &numAd, fnom, fprenom, &age, &state, &acti, &passeoupas, &ptsbought, &ptsbonus, &categ);
	
	if (member == 'C')//si client veut créer nouveau compte
	{
		/*creationCompte(int avoiravecevann);*/
		avoiravecevann = 2;
	}
	Name(nom, prenom);
	
	if (bCard == 'N')//si client n'a pas la carte 
	{

		puts("Recherche de la carte !");

		testnom = strcmp(fnom, nom);//comparer nom du fichier et nom donné
		testpnom = strcmp(fprenom, prenom);//comparer prénom du fichier et prénom donné


		while (erreur != -1 && found == 0)// tant que les 2 différents
		{
			if (testnom == 0)
				{
					if (testpnom == 0)
						found = 1;	
						break;	
				}
			
			erreur = Fillvar(f, &numAd, fnom, fprenom, &age, &state, &acti, &passeoupas, &ptsbought, &ptsbonus, &categ);//rescan
			testnom = strcmp(fnom, nom);//recomparaison nom
			testpnom = strcmp(fprenom, prenom);//recomparaison prénom
		}

		if(erreur == -1 || found == 0)
		{
			printf("Recherche non aboutie : numéro non enregistré...\n");//si le client n'est au final pas enregistré
			return;
		}
		if (found == 1)
		{
			printf("La carte dispose de %d points, rechargement de carte souhaité ? (O/N) \n", ptsbought);//infos sur ses points + recharge ?
			scanf("%c%*c", &recharge);
		}
	}

	if (bCard == 'O')//si client a la carte
	{
		printf("Veuillez entrer numéro de carte ?\n");
		scanf("%d%*c", &numCard);
		while (numCard < 100000 || numCard > 999999)//vérifier numéro carte correct (6 chiffres)
		{
			printf("Veuillez saisir un numéro de carte correct\n");
			scanf("%d%*c", &numCard);
		}


		erreur = Fillvar(f, &numAd, fnom, fprenom, &age, &state, &acti, &passeoupas, &ptsbought, &ptsbonus, &categ);//scanner le document et récupérer les variables

		while (numCard != numAd && erreur == 0)//tant que numéro de carte donné différent de celui du fichier
		{
			erreur = Fillvar(f, &numAd, fnom, fprenom, &age, &state, &acti, &passeoupas, &ptsbought, &ptsbonus, &categ);//rescan
		}

		printf("La carte dispose de %d points, rechargement de carte souhaité ? (O/N) \n", ptsbought);//nombre de points qu'il a + recharger ?
		scanf("%c", &recharge);

	//Fillvar(&numAd, fnom, fprenom, &age, &state, &acti, &passeoupas, &ptsbought, &ptsbonus, &categ);
	


	return;
	}
}
